package jartege ; 

/**
 * Permet de dfinir des arguments dans une ligne de commande.
 */
class Argument {

   /**
    * Dcode les arguments d'une ligne de commande.
    */
   static void decode(String[] args) {
      for (int i = 0 ; i < args.length ; i++) {
         if (args[i].equals("-t")) {
            i++ ; 
            if (i < args.length) {
               try {
                  Trace.niveau = Integer.parseInt(args[i], 10) ; 
               } catch (NumberFormatException except) {
                  erreur("incorrect trace level.") ; 
               }
            } else {
               erreur("unspecified trace level") ; 
            }
         } else {
            erreur(args[i] + ": incorrect option.") ; 
         }
      }
   }

   /**
    * Affiche un message d'erreur.
    */
   static void erreur(String s) {
      System.err.println("Error : " + s) ; 
      System.exit(1) ; 
   }
}

