
package jartege ; 

/**
 * Class of size generators.
 * A size generator allows one to generate objects according to 
 * their size. 
 */

abstract class SizeGenerator extends ObjectGenerator {

   // Size associated with this size generator
   private Size size ; 

   /**
    * Constructor.
    */
   SizeGenerator() {
      // size = new Selection(false, getClasse()) ; 
   }

   /**
    * Sets the class associated with this object generator.
    */

   void setClasse(Classe theClass) {
      super.setClasse(theClass) ; 
      size = new Selection(false, getClasse()) ;
   }


   /**
    * The size associated with this size generator.
    */
   public Size getSize() {
      return size ; 
   }

   /**
    * Sets the size associated with this size generator
    * to the specified size.
    */
   void setSize(Size size) {
      this.size = size ; 
   }

}

